Page MenuHomePhabricator

CL support for increasing contributor diversity experiments
Closed, ResolvedPublic

Description

To support Research with T190776 and T190775.

For T190775 is about the experiment documented at https://meta.wikimedia.org/wiki/Research:Voice_and_exit_in_a_voluntary_work_environment/Team_work_effect:a_viability_test

Our understanding of what we need:

  • Help finalize the list of language(s) the experiment will run in. Currently en, cs, and ko are considered. potentially fa.
  • Help us understand if sending emails is okay? Is there any consideration we need to take into account when sending the emails? (beyond option for opt-out, clear foundation address and contact information, and that we probably shouldn't email those who have the box for receiving emails from other users unchecked.)
  • Help with translating the text of the survey, community announcement, etc. Research can consider using a professional firm for certain parts of the translation while others will rely on wiki context and are better done by those familiar with the wiki.
  • Bring any relevant conversation that you're aware of to the attention of the team as the experiment continues.
  • Anything else that you think makes sense and we missed it.

For T190776 we will be testing the system developed in https://meta.wikimedia.org/wiki/Research:Voice_and_exit_in_a_voluntary_work_environment/Elicit_new_editor_interests In a nutshell, the system will ask n questions from editor x and then provides a list of m editors that have similar interests to editor x. The system has many applications, for example, to help increase collaboration opportunities or match people when they join the project early on with the editors who have similar interests.

  • If languages other than en are considered, we will need help with translation and community discussions.
  • The priority should be to test this in enwiki first, but if that doesn't happen, the switching costs to other languages are not major.

Event Timeline

Elitre added a subscriber: Elitre.Apr 7 2018, 1:23 PM

Acknowledged, thank you.

Elitre assigned this task to Trizek-WMF.Apr 9 2018, 4:45 PM
Trizek-WMF triaged this task as Medium priority.Apr 10 2018, 7:59 AM

Hey @leila ! I'm glad to work with you on an international project.

I have some comments about that task below:

Help finalize the list of language(s) the experiment will run in. Currently en, cs, and ko are considered. potentially fa.

That's more on your side actually, while it depends on your thresholds. I let you select the wikis and then I'll help you working with them.

Help us understand if sending emails is okay? Is there any consideration we need to take into account when sending the emails? (beyond option for opt-out, clear foundation address and contact information, and that we probably shouldn't email those who have the box for receiving emails from other users unchecked.)

It will also depend on the wikis you are targeting. While most users welcome that kind of experiments and are happy to participate to those, there are a few users who may complain. We have names and lists, but nothing formal. In any case, a first message should be sent to the wiki, on the village pump, introducing te project and asking (active) users to immediately opt-out if they don't want to participate.

A point to consider is to check how many people are actually confirming their account and receive messages through emails.

Help with translating the text of the survey, community announcement, etc. Research can consider using a professional firm for certain parts of the translation while others will rely on wiki context and are better done by those familiar with the wiki.

Being familiar with our wikis is a first step. :)
Translations can be done by the ambassadors while they are not that big. Do you already have some texts?

Bring any relevant conversation that you're aware of to the attention of the team as the experiment continues.

Sure! We can do that together.

Anything else that you think makes sense and we missed it.

People will have to discuss, and talk pages s*ck. Don't you think they will be a blocker?

If languages other than en are considered, we will need help with translation and community discussions.

So we need to have some contacts that will support the experiment, by helping on translations and checking lists of articles.

The priority should be to test this in enwiki first, but if that doesn't happen, the switching costs to other languages are not major.

Like always, have at least an other language is more than welcome. But I'm not sure to understand if the two projects are connected. If not, would it be possible to have different wikis?
Would it be possible to experiment that on a non-Wikipedia wiki? I've checked some non-Wikipedia's wikis stats concerning new accounts but there is no wiki that has over 1k new users/month beyond English language ones.

leila added a comment.Apr 11 2018, 5:28 PM

Hey @leila ! I'm glad to work with you on an international project.

I have some comments about that task below:

Help finalize the list of language(s) the experiment will run in. Currently en, cs, and ko are considered. potentially fa.

That's more on your side actually, while it depends on your thresholds. I let you select the wikis and then I'll help you working with them.

Sounds good.

Help us understand if sending emails is okay? Is there any consideration we need to take into account when sending the emails? (beyond option for opt-out, clear foundation address and contact information, and that we probably shouldn't email those who have the box for receiving emails from other users unchecked.)

It will also depend on the wikis you are targeting. While most users welcome that kind of experiments and are happy to participate to those, there are a few users who may complain. We have names and lists, but nothing formal. In any case, a first message should be sent to the wiki, on the village pump, introducing te project and asking (active) users to immediately opt-out if they don't want to participate.

  • VP message acknowledged.
  • The T190775 is targeted towards newcomers, so the lists of current people who don't want to be contacted won't be applicable there. T190776 will be a much softer data collection. We want users to test a tool and say if the results they see are good or not. We can use opt-in approaches for people to interact with that tool/test, most likely.

A point to consider is to check how many people are actually confirming their account and receive messages through emails.

Correct. This number varies in different wikis. I checked it for enwiki a while back and was really high. over 80% confirm their account.

Help with translating the text of the survey, community announcement, etc. Research can consider using a professional firm for certain parts of the translation while others will rely on wiki context and are better done by those familiar with the wiki.

Being familiar with our wikis is a first step. :)
Translations can be done by the ambassadors while they are not that big. Do you already have some texts?

Yes. They are at https://meta.wikimedia.org/wiki/Research:Voice_and_exit_in_a_voluntary_work_environment/Team_work_effect:a_viability_test we can finalize them soon and get back to you. (and let's see if we want to do it in any language other than English for this very first test.)

Bring any relevant conversation that you're aware of to the attention of the team as the experiment continues.

Sure! We can do that together.

Thanks!

Anything else that you think makes sense and we missed it.

People will have to discuss, and talk pages s*ck. Don't you think they will be a blocker?

So, the idea is to connect them via email. I'm not sure if people will go with the talk page option to discuss or they will come up with some external-to-wiki ways to collaborate. This is an important thing to keep an eye for this very first test, too, and see what happens.

If languages other than en are considered, we will need help with translation and community discussions.

So we need to have some contacts that will support the experiment, by helping on translations and checking lists of articles.

right.

The priority should be to test this in enwiki first, but if that doesn't happen, the switching costs to other languages are not major.

Like always, have at least an other language is more than welcome. But I'm not sure to understand if the two projects are connected. If not, would it be possible to have different wikis?

Doing T190776 in two languages is relatively straight-forward. I'd prefer to start T190775 in one language and see what happens before starting to engage more communities/languages. My guess is that we will learn fast from this first experiment and have to change a few things to improve the system. I'd much rather involve more languages in T190775 when we have a sense if it works at all in one language. If it were something we were more sure about, I'd for sure go for advocating to include more languages.

Would it be possible to experiment that on a non-Wikipedia wiki? I've checked some non-Wikipedia's wikis stats concerning new accounts but there is no wiki that has over 1k new users/month beyond English language ones.

Do you have examples of such wikis? And, can you define tasks for them for when they get paired?

Thank you for all those details @leila !

Are we going to work with the same communities on T190776 and T190775? If not I'll split that task in two new ones to monitor changes separately.

I advice to have the two tasks conducted on different wikis if possible, to avoid confusions. Also, we haven't looked at languages spoken on the team involved. I guess that targeting fa and fr wikis is easy, which other languages we can count on?
Do ko and cs Wikipedias reach newcomers the ratio (and email confirmation) you need?

Would it be possible to experiment that on a non-Wikipedia wiki? I've checked some non-Wikipedia's wikis stats concerning new accounts but there is no wiki that has over 1k new users/month beyond English language ones.

Do you have examples of such wikis? And, can you define tasks for them for when they get paired?

It actually depends on the threshold you need to reach to get your research done. Are your two researches applicable to a Wikitionary, a Wikisource or a Wikivoyage? If so, you will have to check if the email confirmation rates high enough.

Thank you all for the conversation and clarification. The next step is that Leila and the other researchers are going to figure out which wikis it makes sense to use for the parts of the experiment, based on our conversation and the editor population of the different wikis. They have all the info they need to figure that out. Then we'll schedule another time to check in (within the next few days) to talk about how to take action on those decisions.

leila added a comment.Apr 13 2018, 8:48 PM

Update: In T190776#4130825 I describe the choice of language for the specific experiment and I also give a sense of the timelines based on the latest discussions.

@leila -- thanks for the update in T190776. Have you also decided on languages for the other part in T190775?

leila added a comment.May 25 2018, 6:13 AM

@MMiller_WMF I reviewed this in detail. We should go with enwiki for this first test. Let's add other languages only when we have a signal from enwiki. I'm happy to help with fawiki after that. Do you have bandwidth to help these days? If so, we may need to request a privacy statement from legal for this.

@Trizek-WMF It's great if you review the description and let us know what we should do from your end. For example, should we keep anything in mind when emailing people? :) We need an Opt-out option, WMF signature, and perhaps more, too.

Thank you for the details!

Overall:

  • We will leave a message on English Wikipedia to warn them about that survey. Basically saying there is no impact on active contributors, but some newcomers may ask them about it. To which page can we redirect people who want to discover the project and/or questions and comments?
  • When do you plan to send those emails?

Newcomers survey's email:

  • maybe focus on the fact that that experiment is targeting newcomers: "In order to do so more efficiently, especially for newcomers, we would like to know a little bit more about you. " That may help people to feel important and convince them to take the survey.
  • where is the option to opt-out? That opting-out option should be via email, or on a wikipage where people leave their usernames.

Survey:

  • Be careful of the wording: some people who start contributing to English Wikipedia don't have English as a native language.
  • I don't think the levels of education are not internationalized, but I may be wrong. I've tried to find the terms used in CE insights for comparison, but didn't find those.

Follow-up emails:

  • When again those emails will be sent? It may need a new message on VP.

@leila -- thanks for the update. Yes, I do still want to be involved and follow along. It would help me if you could lay out the order of operations here, and when different parts of the process would need to happen for the two different tests. I've not worked with legal on a privacy statement, but I'm happy to help if there are any examples of this in the past that I could work from.

Survey:

  • I don't think the levels of education are not internationalized, but I may be wrong. I've tried to find the terms used in CE insights for comparison, but didn't find those.

This was the CE Insights education question (ED20) this year:

What is the highest level of education that you have completed or are currently completing?

  • Primary school
  • Secondary school
  • Post-secondary vocational school
  • First university degree
  • Second university degree
  • Doctorate

The levels are roughly based on the International Standard Classification of Education.

Hope that helps!

leila moved this task from Staged to In Progress on the Research board.May 25 2018, 8:52 PM

@Trizek-WMF The experiment in T190776 is ready for your review.

In T191675#4232251, @Neil_P._Quinn_WMF wrote:

Hope that helps!

Thank you Neil!

@Trizek-WMF The experiment in T190776 is ready for your review.

I had a look at it and it seems pretty clear as a ressource for people already experienced who want to know more about your research. Is that page talk page the best place for feedback? (That's up to you, I don't have any opinion about it)

Concerning the details of the messages you will post, have you read T191675#4231431?

leila added a comment.May 29 2018, 3:18 PM
In T191675#4232251, @Neil_P._Quinn_WMF wrote:

Hope that helps!

Thank you Neil!

@Trizek-WMF The experiment in T190776 is ready for your review.

I had a look at it and it seems pretty clear as a ressource for people already experienced who want to know more about your research. Is that page talk page the best place for feedback? (That's up to you, I don't have any opinion about it)

Yes, let's use the talk page for feedback/messages.

Concerning the details of the messages you will post, have you read T191675#4231431?

Yes. on it. :) (FYI: waiting for bmansurov to process T190776#4233195. I think we should aim for launching early next week.)

Any updates concerning that project?

@leila, any updates concerning that project?

leila added a comment.Aug 9 2018, 4:32 PM

@Trizek-WMF As you've seen, we've started the first experiment (T190776). The communications so far has been manageable though from time to time we will run into questions that I bet you can help us with. It would be great if we can reach out to you for those questions, or count on you if the flow of communications become unmanageable for us, otherwise, we won't be taking much of your time for this one. Does it work for you that you work on this project in this lighter mode?

Works for me, thanks!

I'll be off next week, so I'll see who you could contact if you have questions or need assistance. But for what I've seen so far, no one has reacted to your message since almost two days. That's a good sign of things going smoothly. :)

leila added a comment.Aug 9 2018, 4:44 PM

Sounds good. Thank you!

Johan added a subscriber: Johan.EditedAug 9 2018, 4:47 PM

@leila If you have questions or for some other reason have need of our support next week, just send me an email, and I'll help out while Benoît is on vacation.

leila added a comment.Aug 9 2018, 5:16 PM

Great. Thanks @Johan.

I haven't seen anything new about that task posted publicly from users. Any news? How is it going?

@Trizek-WMF It's going smoothly for now. The last thing I did was T190776#4519155. We are finalizing the steps for sending the second round of this experiment which is sending the matching email out. For now, things are going smoothly, and our plan for this second stage is to gradually send out emails so we can catch any possible issue early on and before contacting all. (382 usernames, max)

Ok, keep me posted. :)

Any updates? I'm asking while I see nothing special happening. :)

Any updates? I'm asking while I see nothing special happening. :)

@leila , hi!, anything else you need the team to do here? Thanks.

Trizek-WMF changed the task status from Open to Stalled.Oct 19 2018, 2:32 PM
Trizek-WMF lowered the priority of this task from Medium to Low.

Stalling the task until I have more updates.

leila added a comment.Oct 19 2018, 2:50 PM

@Trizek-WMF I will resolve this task as for now, we've received all the help we could get from you. We are currently iterating in the new design of the framework and if we need more of your help, we will reopen this task. Thanks for working with us on this front.

leila closed this task as Resolved.Oct 19 2018, 2:50 PM